Bug 1566573 - [abrt] icecat: raise(): icecat-bin killed by SIGSEGV
Summary: [abrt] icecat: raise(): icecat-bin killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: icecat
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:48e59ef0918b62e3f87f5aa5d3b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 14:32 UTC by Francisco de la Peña
Modified: 2018-05-22 16:35 UTC (History)
3 users (show)

Fixed In Version: icecat-52.8.0-1.fc28 icecat-52.8.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 15:06:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (171.94 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: cgroup (289 bytes, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: core_backtrace (128.47 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: cpuinfo (1.79 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: dso_list (15.18 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: environ (1.73 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: maps (77.38 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: mountinfo (3.89 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: open_fds (5.16 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-12 14:32 UTC, Francisco de la Peña
no flags Details

Description Francisco de la Peña 2018-04-12 14:32:21 UTC
Version-Release number of selected component:
icecat-52.7.3-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 3
cmdline:        icecat
crash_function: raise
executable:     /usr/lib64/icecat/icecat-bin
journald_cursor: s=2641572284394c1bb8993012ee82656b;i=4c81;b=971a02f851f64b2fbf5f1316b9fec8df;m=34b9aa33;t=569a723b86cbb;x=d0aa7e6511654d43
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #1 nsProfileLock::FatalSignalHandler at /usr/src/debug/icecat-52.7.3-1.fc27.x86_64/toolkit/profile/nsProfileLock.cpp:181
 #2 WasmFaultHandler<(Signal)0> at /usr/src/debug/icecat-52.7.3-1.fc27.x86_64/js/src/wasm/WasmSignalHandlers.cpp:1239
 #4 ??
 #5 Mutex::~Mutex at MutexFactory.cpp:52
 #7 OSSLCryptoFactory::~OSSLCryptoFactory at OSSLCryptoFactory.cpp:222
 #9 __cxa_finalize at cxa_finalize.c:56
 #10 __do_global_dtors_aux
 #11 ??
 #12 _dl_close_worker at dl-close.c:286

Comment 1 Francisco de la Peña 2018-04-12 14:32:27 UTC
Created attachment 1420863 [details]
File: backtrace

Comment 2 Francisco de la Peña 2018-04-12 14:32:29 UTC
Created attachment 1420864 [details]
File: cgroup

Comment 3 Francisco de la Peña 2018-04-12 14:32:31 UTC
Created attachment 1420865 [details]
File: core_backtrace

Comment 4 Francisco de la Peña 2018-04-12 14:32:32 UTC
Created attachment 1420866 [details]
File: cpuinfo

Comment 5 Francisco de la Peña 2018-04-12 14:32:34 UTC
Created attachment 1420867 [details]
File: dso_list

Comment 6 Francisco de la Peña 2018-04-12 14:32:36 UTC
Created attachment 1420868 [details]
File: environ

Comment 7 Francisco de la Peña 2018-04-12 14:32:37 UTC
Created attachment 1420869 [details]
File: limits

Comment 8 Francisco de la Peña 2018-04-12 14:32:39 UTC
Created attachment 1420870 [details]
File: maps

Comment 9 Francisco de la Peña 2018-04-12 14:32:41 UTC
Created attachment 1420871 [details]
File: mountinfo

Comment 10 Francisco de la Peña 2018-04-12 14:32:43 UTC
Created attachment 1420872 [details]
File: open_fds

Comment 11 Francisco de la Peña 2018-04-12 14:32:44 UTC
Created attachment 1420873 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2018-05-12 21:19:25 UTC
icecat-52.8.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-75afe99afd

Comment 13 Fedora Update System 2018-05-12 21:19:34 UTC
icecat-52.8.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-970b623d1c

Comment 14 Fedora Update System 2018-05-13 20:51:21 UTC
icecat-52.8.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-75afe99afd

Comment 15 Fedora Update System 2018-05-13 22:22:24 UTC
icecat-52.8.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-970b623d1c

Comment 16 Fedora Update System 2018-05-22 15:06:39 UTC
icecat-52.8.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-05-22 16:35:33 UTC
icecat-52.8.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.